/************************************************************
 Persistance of Vision Raytracer V3.1 World definition file.

             COBBLESTONE GENERATOR FOR POV-Ray 3.1
                        Demo file
                     
 Created by: Thomas de Groot (the Netherlands)
     e-mail: t.degroot@inter.nl.net
         On: 15 May 1999; updated 7 August 1999
  Copyright: May be freely used and modified.
             Acknowledgement of author is appreciated.

  The cobblestone was generated for POV-Ray V3.1 by
  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
  
  Patterns: Checkered_Cobblestones and Bricked_Cobblestones
 ************************************************************/

// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
background { color <0.0,0.5,1.0> }

camera
{
  location  <0.0 , 2.5 ,-4.0>
  look_at   <0.0 , 0.0 , 0.0>
}

light_source {   // Sunlight
  <-20, 50, 10>
  color rgb <1.000, 1.000, 0.857>
}
/*
light_source {   // Fillin
  <200, 230, 0>
  color rgb <1.000, 1.000, 0.857>*0.5
  shadowless
}
*/
// DECLARATIONS:
// Start- and endpoints of cobblestoned surface:
#declare OriginX=-2;
#declare OriginZ=-2.5;
#declare EndX=2;
#declare EndZ=2;

// Number of cobblestones in the x-direction:
#declare N=6;

// Ratio length/width of each cobblestone:
#declare R=0.5;

// Crack-width between the cobblestones:
#declare Crack=0.02;

// Type of pattern (false= Checkered_Cobblestones; true= Bricked_Cobblestones:
#declare Pattern=false;

#include "Cobblestones.inc"

